<?php
/*
Plugin Name: AW eBay User profiles & Auctions
Plugin URI:  http://www.auctionwidgets.com/wordpress-plugin-en
Description: Display eBay auctions and eBay user profiles on your wordpress blog
Version:     1.0
Author:      Malte Köhrer
Author URI:  http://netzkomplex.de
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

function aw_force_defaults($atts){
	return shortcode_atts( array(
		'type' => 'js',
		'lang' => 'en-GB',
		'site' => 'us',
		'color' => 'grey',
		'id' => '_empty_'
	), $atts );
}
function aw_get_json($atts, $urlAction, $divId){
	$a = aw_force_defaults($atts);
	
	$html="ID ungültig!";
	if($a['id']!="_empty"){
		$html='<script type="text/javascript" src="//api.auctionwidgets.com/'.$urlAction.'/'.$a['type'].'/'.$a['id'].'/'.$a['color'].'/'.$a['lang'].'/'.$a['site'].'"></script>';
		$html.='<div id="'.$divId.'" />';
	}
	return $html;
}

// [ebayuser type="js" lang="de-DE" site="de" color="grey" id="troedelflintbek2020"]
function aw_ebayuser_func( $atts ) {
	return aw_get_json($atts, 'ebay-user-profile', 'auctionwidgets_com_user_profile');
}
add_shortcode( 'ebayuser', 'aw_ebayuser_func' );

// [ebayprofile type="js" lang="de-DE" site="de" color="grey" id="ebay_store_name"]
function aw_ebaylisting_func( $atts ) {
	return aw_get_json($atts, 'ebay-store-listing', 'auctionwidgets_com_store_listing');
}
add_shortcode( 'ebaylisting', 'aw_ebaylisting_func' );